.\"	$NetBSD: mtd.4,v 1.3 2003/06/26 10:27:25 wiz Exp $
.\"
.\" Copyright (c) 2002 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Peter Bex <Peter.Bex@student.kun.nl>.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 8, 2002
.Dt MTD 4
.Os
.Sh NAME
.Nm mtd
.Nd Driver for Myson Technologies MTD803 3-in-1 Fast Ethernet board
.Sh SYNOPSIS
.Cd "mtd* at pci?"
.Sh DESCRIPTION
The
.Nm
device driver supports the MTD803 PCI Ethernet chip.
.Pp
Supported models include:
.Bl -bullet -compact
.It
Safeway Lancard SW-10/100 PCI (model 117204).
Please note that some cards sold under this name are supported by
.Xr rtk 4
instead.
.El
.Sh SEE ALSO
.Xr intro 4 ,
.Xr mii 4 ,
.Xr pci 4 ,
.Xr rtk 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
driver appeared in
.Nx 2.0 .
.Sh AUTHORS
.An Peter Bex Aq Peter.Bex@student.kun.nl
.Sh BUGS
This driver has not been tested on any architecture besides i386.
It does not handle DMA cache flushes at all, so it will very likely
not work on other architectures that require this.
.Pp
Power management is missing.
.Pp
A cardbus variant is rumored to exist, but support for it has not been
added to the driver yet.
